System.ServiceModel 4.0.0.0 System.ServiceModel.Configuration.BehaviorExtensionElement

A transport that is configured with transaction batching will attempt to batch several receive operations into one transaction. By doing so, the relatively high cost of creating a transaction and committing it in every receive operation is avoided.

Represents a configuration element that specifies whether transaction batching is supported for receive operations. This class cannot be inherited.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Property
  4.0.0.0
  System.Type To be added. To be added.

  Gets the type of this behavior configuration element.

- Method
  4.0.0.0
  System.Object To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("maxBatchSize", DefaultValue=Mono.Cecil.CustomAttributeArgument, Options=System.Configuration.ConfigurationPropertyOptions.None)
  System.Configuration.IntegerValidator(ExcludeRange=false, MaxValue=2147483647, MinValue=0)
  System.Int32 To be added. To be added.

  Gets or sets the maximum number of receive operations that can be batched together in one transaction.

- Property
  4.0.0.0
  System.Configuration.ConfigurationPropertyCollection To be added. To be added. To be added.